GRDFILTER(l)

NAME
grdfilter - Filter a .grd file in the Time domain

SYNOPSIS
grdfilter input_file.grd -Dflag -F<type><width> -Goutput_file.grd [ -Ix_inc[m|c][/y_inc[m|c]] ] [ -Rwest/east/south/north[r] ] [ -T ] [ -V ]

DESCRIPTION
grdfilter will filter a .grd file in the time domain using a boxcar, cosine arch, gaussian, median, or mode filter and computing distances using Cartesian or Spherical geometries. The output .grd file can optionally be generated as a sub-Region of the input and/or with a new -Increment. In this way, one may have "extra space" in the input data so that the edges will not be used and the output can be within one-half- width of the input edges. If the filter is low-pass, then the output may be less frequently sampled than the input.

input_file.grd
    The file of points to be filtered.

-D  Distance flag tells how grid (x,y) relates to filter width as follows:

    flag = 0: grid (x,y) same units as width, Cartesian distances.
    flag = 1: grid (x,y) in degrees, width in kilometers, Cartesian distances.
    flag = 2: grid (x,y) in degrees, width in km, dx scaled by cos(middle y), Cartesian distances.

    The above options are fastest because they allow weight matrix to be computed only once. The next two options are slower because they recompute weights for each East-West scan line.

    flag = 3: grid (x,y) in degrees, width in km, dx scaled by cosine(y), Cartesian distance calculation.
    flag = 4: grid (x,y) in degrees, width in km, Spherical distance calculation.

-F  Choose one only of bcgmp for (b)oxcar, (c)osine Arch, (g)aussian, (m)edian, or maximum likelihood (p)robability (a mode estimator) filter and specify full width.

-G  output_file.grd is the output of the filter.

OPTIONS

-I  x_inc [and optionally y_inc] is the output Increment. Append m to indicate minutes, or c to indicate seconds. If the new x_inc, y_inc are NOT integer multiples of the old ones (in the input data), filtering will be considerably slower. [Default: Same as input.]

-R  west, east, south, and north defines the Region of the output points. [Default: Same as input.]

-T  Toggle the node registration for the output grid so as to become the opposite of the input grid [Default gives the same registration as the input grid].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
Suppose that north_pacific_dbdb5.grd is a file of 5 minute bathymetry from 140E to 260E and 0N to 50N, and you want to find the medians of values within a 300km radius (600km full width) of the output points, which you choose to be from 150E to 250E and 10N to 40N, and you want the output values every 0.5 degree. Using spherical distance calculations, you need:

grdfilter north_pacific_dbdb5.grd -Gfiltered_pacific.grd -Fm600 -D4 -R150/250/10/40 -I0.5 -V

SEE ALSO
gmt(1gmt), grdfft(1gmt)